<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet exclude-result-prefixes="xd tei edate"
  extension-element-prefixes="edate" version="1.0"
  xmlns:edate="http://exslt.org/dates-and-times"
  xmlns:tei="http://www.tei-c.org/ns/1.0"
  xmlns:xd="http://www.pnp-software.com/XSLTdoc"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xd:doc type="stylesheet">
    <xd:short> TEI stylesheet dealing with elements from the core module. </xd:short>
    <xd:detail> This library is free software; you can redistribute it and/or
      modify it under the terms of the GNU Lesser General Public License as
      published by the Free Software Foundation; either version 2.1 of the
      License, or (at your option) any later version. This library is
      distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
      without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
      PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
      details. You should have received a copy of the GNU Lesser General Public
      License along with this library; if not, write to the Free Software
      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA </xd:detail>
    <xd:author>See AUTHORS</xd:author>
    <xd:cvsId>$Id: core.xsl 1944 2006-11-25 15:00:49Z rahtz $</xd:cvsId>
    <xd:copyright>2005, TEI Consortium</xd:copyright>
  </xd:doc>
  <xd:doc>
    <xd:short>Process elements *</xd:short>
    <xd:detail> </xd:detail>
  </xd:doc>
  <xsl:template match="*" mode="depth">99</xsl:template>
  <xd:doc>
    <xd:short>Process elements *</xd:short>
    <xd:detail> </xd:detail>
  </xd:doc>
  <xsl:template match="*" mode="plain">
    <xsl:apply-templates/>
  </xsl:template>
  <xd:doc>
    <xd:short>Process sic</xd:short>
    <xd:detail> </xd:detail>
  </xd:doc>
  <xsl:template match="sic">
    <xsl:apply-templates/>
  </xsl:template>
  <xd:doc>
    <xd:short>Process corr</xd:short>
    <xd:detail> </xd:detail>
  </xd:doc>
  <xsl:template match="corr"/>
  <xd:doc>
    <xd:short>Process item in runin mode</xd:short>
    <xd:detail> </xd:detail>
  </xd:doc>
  <xsl:template match="item" mode="runin">
    <xsl:text> • </xsl:text>
   <xsl:apply-templates/> 
  </xsl:template>


<xd:doc>
  <xd:short>author inside a bibl</xd:short>
  <xd:detail> </xd:detail>
</xd:doc>
<xsl:template match="bibl/author">
<xsl:apply-templates/>
<xsl:choose>
  <xsl:when test="count(following-sibling::author)=1">
    <xsl:text> and </xsl:text>
  </xsl:when>
  <xsl:when test="following-sibling::author">
    <xsl:text>, </xsl:text>
  </xsl:when>
</xsl:choose>
</xsl:template>

<xd:doc>
  <xd:short>editor</xd:short>
  <xd:detail> </xd:detail>
</xd:doc>
<xsl:template match="editor">
  <xsl:choose>
    <xsl:when test="name">
      <xsl:apply-templates select="name[position()=1]"/>
      <xsl:for-each select="name[position()&gt;1]">
	<xsl:text>, </xsl:text>
	<xsl:apply-templates/>
      </xsl:for-each>
      <xsl:text> (ed).&#10;</xsl:text>
    </xsl:when>
    <xsl:otherwise>
      <xsl:apply-templates/>
      <xsl:choose>
	<xsl:when test="count(following-sibling::editor)=1">
	  <xsl:text> and </xsl:text>
	</xsl:when>
	<xsl:when test="following-sibling::author">
	  <xsl:text>, </xsl:text>
	</xsl:when>
	<xsl:when test="preceding-sibling::editor and
			not(following-sibling::editor)">
	  <xsl:text> (eds.)</xsl:text>
	</xsl:when>
	<xsl:when test="not(following-sibling::editor)">
	  <xsl:text> (ed.)</xsl:text>
	</xsl:when>
      </xsl:choose>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

  <xd:doc>
    <xd:short>Process elements edition</xd:short>
    <xd:detail> </xd:detail>
  </xd:doc>
  <xsl:template match="edition">
    <xsl:apply-templates/>
    <xsl:text>.&#10;</xsl:text>
  </xsl:template>


  <xd:doc>
    <xd:short>Process elements biblScope</xd:short>
    <xd:detail> </xd:detail>
  </xd:doc>
  <xsl:template match="biblScope">
    <xsl:text> </xsl:text>
    <xsl:apply-templates/>
  </xsl:template>

  <xd:doc>
    <xd:short>Process elements imprint</xd:short>
    <xd:detail> </xd:detail>
  </xd:doc>
  <xsl:template match="imprint">
    <xsl:apply-templates select="biblScope"/>
    <xsl:if test="publisher">
      <xsl:text>, </xsl:text>
      <xsl:apply-templates select="publisher"/>
    </xsl:if>
    <xsl:if test="pubPlace">
      <xsl:text>, </xsl:text>
      <xsl:apply-templates select="pubPlace"/>
    </xsl:if>
    <xsl:apply-templates select="date"/>
  </xsl:template>

  <xd:doc>
    <xd:short>Process elements publisher</xd:short>
    <xd:detail> </xd:detail>
  </xd:doc>
  <xsl:template match="publisher">
    <xsl:apply-templates/>
  </xsl:template>

  <xd:doc>
    <xd:short>Process elements eg</xd:short>
    <xd:detail> </xd:detail>
  </xd:doc>


</xsl:stylesheet>
